# Lookup listings for properties

The property LookupListings endpoint returns an array of historical market listings from the recorder table when given the MelissaAddressKey.
The service requires at least one of the following input combinations:
**Set A** - `PropertyMAK`

Endpoint: POST /LookupListings

## Header parameters:

  - `Accept` (string, required)
    Format of the response.

  - `Content-Type` (string, required)
    Format of the request.

## Request fields (application/json):

  - `Columns` (string)
    [Columns](https://docs.melissa.com/cloud-api/property/property-reference-guide.html#property-referenceguide-lookuplistings-columns) - The column names or groups to be output.
Entering the column name will return the column. Specifying a group name will return all columns in the group.
Delimit multiple columns with a `,`.
For example: `ColumnName,ColumnName`.
Columns:
`GrpAll` - **Recommended.** Indicates to the Cloud API that all fields should be returned.
[Default] - Always return in the output structure. Includes the following groups:- `GrpListingInfo`

GrpListingAgent - Listing agent Information - `Address`
- `BaseMAK`
- `City`
- `Email`
- `LicenseNumber`
- `MAK`
- `NameFull`
- `Phone`
- `State`
- `Zip`

GrpListingAgentOffice - Listing Agent Office Information - `Address`
- `BaseMAK`
- `City`
- `Email`
- `MAK`
- `Name`
- `Phone`
- `State`
- `Zip`

GrpListingFeatures- `Appliances`
- `ElementarySchool`
- `HighSchool`
- `LotFeatures`
- `MiddleSchool`
- `SchoolDistrict`

GrpListingInfo- `CurrentListPrice`
- `InitialStatus`
- `ListingNumber`
- `MaxListPrice`
- `MaxListPriceDate`
- `MinListPrice`
- `MinListPriceDate`
- `OriginalListingDate`
- `RentalIndicator`
- `SoldDate`
- `SoldPrice`
- `Status`
- `StatusSubType`

GrpListingValue- `LastPriceChangeAmount`
- `LastPriceChangeDate`
- `LastStatusChange`
- `LastStatusChangeDate`
- `LastStatusSubTypeChange`
- `LastStatusSubTypeChangeDate`
- `PriorPriceChangeAmount`
- `PriorPriceChangeDate`
- `PriorStatusChange`
- `PriorStatusChangeDate`
- `PriorStatusSubTypeChange`
- `PriorStatusSubTypeChangeDate`

  - `CustomerId` (string, required)
    Required. The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `Options` (string)
    [Options](https://docs.melissa.com/cloud-api/property/property-reference-guide.html#property-referenceguide-lookuplistings-options) - Specify which options to use. List options in `<OptionName>:<Parameter>` format. Multiple options are delimited with a `,`.
For example: `OptionName:Parameter,OptionName:Parameter`.
- `Page:< Integer >`
 - Specifies which “page” to return. Acceptable values are any integer.
- `RecordsPerPage:< 0 - 100 >`
 - Default set to
`1`
. Sets the records per “page”. Acceptable values are
`0`
 to
`100`
, inclusive.

  - `TotalRecords` (integer)
    The total number of records in the request.

  - `TransmissionReference` (string)
    This is a string value that serves as a unique identifier for this set of records. It is returned as sent.

  - `PropertyMAK` (string)
    A proprietary unique key identifier for an address derived from Address Checking.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `Version` (string)
    The current service version number.

  - `TransmissionReference` (string)
    Serves as a unique request identifier.

  - `Results` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [Property Result Codes](https://docs.melissa.com/cloud-api/property/result-codes.html).

  - `TotalRecords` (integer)
    Total number of records.

  - `TransactionID` (string)
    A unique string identifier for this record. A unique transaction ID is generated for every record handled.

  - `Records` (array)

  - `Records.ListingInfo` (object)

  - `Records.ListingInfo.CurrentListPrice` (string)
    Price in dollar value of the subject listing property.

  - `Records.ListingInfo.InitialStatus` (string)
    A description of the initial status of the subject listing property.

  - `Records.ListingInfo.ListingNumber` (string)
    The multiple listing service identification number for the subject listing property.

  - `Records.ListingInfo.MaxListPrice` (string)
    Maximum List Price for the current listing for the subject property.

  - `Records.ListingInfo.MaxListPriceDate` (string)
    Effective date for maximum list price for the current listing for the subject property.

  - `Records.ListingInfo.MinListPrice` (string)
    Minimum List Price for the current listing for the subject property.

  - `Records.ListingInfo.MinListPriceDate` (string)
    Effective date for minimum list price for the current listing for the subject property.

  - `Records.ListingInfo.OriginalListingDate` (string)
    The date the subject listing property was put on the market - as per listing record.

  - `Records.ListingInfo.RentalIndicator` (string)
    Indicates when the current listing is a rental.

  - `Records.ListingInfo.SoldDate` (string)
    Date that the subject listing property has been purchased.

  - `Records.ListingInfo.SoldPrice` (string)
    Price that the subject listing property has been purchased for.

  - `Records.ListingInfo.Status` (string)
    Description of the most current status of the subject listing property as it relates to the sales cycle (eg: Active, Contingent, Pending Lender Approval, etc.).

  - `Records.ListingInfo.StatusSubType` (string)
    Granular description of the most current status of the subject listing property as it relates to the sales cycle (eg: Back on Market, Bumpable Buyer, Canceled, Expired, etc.).

  - `Records.ListingValue` (object)

  - `Records.ListingValue.LastPriceChangeAmount` (string)
    Price change dollar amount from the last listing for the subject property to the current dollar amount of the subject property.

  - `Records.ListingValue.LastPriceChangeDate` (string)
    Date the price change occurred between the last listing for the subject property and the current listing for the subject property.

  - `Records.ListingValue.LastStatusChange` (string)
    Status change from the last listing for the subject property to the current status of the subject property.

  - `Records.ListingValue.LastStatusChangeDate` (string)
    Date the status change occurred between the last listing for the subject property and the current listing for the subject property.

  - `Records.ListingValue.LastStatusSubTypeChange` (string)
    Status Sub Type change from the last listing for the subject property to the current status of the subject property.

  - `Records.ListingValue.LastStatusSubTypeChangeDate` (string)
    Date the status sub type change occurred between the last listing for the subject property and the current listing for the subject property.

  - `Records.ListingValue.PriorPriceChangeAmount` (string)
    Price change dollar amount from the prior listing for the subject property to the last dollar amount of the subject property.

  - `Records.ListingValue.PriorPriceChangeDate` (string)
    Date the price change occurred between the prior listing for the subject property and the last listing for the subject property.

  - `Records.ListingValue.PriorStatusChange` (string)
    Status change from the prior listing for the subject property to the last status of the subject property.

  - `Records.ListingValue.PriorStatusChangeDate` (string)
    Date the status change occurred between the prior listing for the subject property and the last listing for the subject property.

  - `Records.ListingValue.PriorStatusSubTypeChange` (string)
    Status Sub Type change from the prior listing for the subject property to the last status of the subject property.

  - `Records.ListingValue.PriorStatusSubTypeChangeDate` (string)
    Date the status sub type change occurred between the prior listing for the subject property and the last listing for the subject property.

  - `Records.ListingAgent` (object)

  - `Records.ListingAgent.Address` (string)
    Listing agent's address.

  - `Records.ListingAgent.BaseMAK` (string)
    A unique key assigned to the base address of a complex with apartments or suites; tied to the listing agent's address.

  - `Records.ListingAgent.City` (string)
    The city containing the listing agent's address.

  - `Records.ListingAgent.Email` (string)
    Listing agent's email.

  - `Records.ListingAgent.LicenseNumber` (string)
    Listing agent's license number.

  - `Records.ListingAgent.MAK` (string)
    (Melissa Address Key) A unique key assigned to the address record; tied to the listing agent's address.

  - `Records.ListingAgent.NameFull` (string)
    Listing agent's name.

  - `Records.ListingAgent.Phone` (string)
    Listing agent's phone number.

  - `Records.ListingAgent.State` (string)
    The state containing the listing agent's address.

  - `Records.ListingAgent.Zip` (string)
    The postal code containing the listing agent's address.

  - `Records.ListingAgentOffice` (object)

  - `Records.ListingAgentOffice.Address` (string)
    Listing agent's office address.

  - `Records.ListingAgentOffice.BaseMAK` (string)
    A unique key assigned to the base address of a complex with apartments or suites; tied to the listing agent's office.

  - `Records.ListingAgentOffice.City` (string)
    The city containing the office address.

  - `Records.ListingAgentOffice.Email` (string)
    Listing agent's email.

  - `Records.ListingAgentOffice.MAK` (string)
    (Melissa Address Key) A unique key assigned to the address record; tied to the listing agent's office.

  - `Records.ListingAgentOffice.Name` (string)
    Listing agent's office name.

  - `Records.ListingAgentOffice.Phone` (string)
    Listing agent's phone number.

  - `Records.ListingAgentOffice.State` (string)
    The state containing the office address.

  - `Records.ListingAgentOffice.Zip` (string)
    The postal code containing the office address.

  - `Records.ListingFeatures` (object)

  - `Records.ListingFeatures.Appliances` (string)
    Description of any appliances that are included as part of the listing property (eg: Dishwasher, Refrigerator, Microwave, etc.) May contain multiple values per subject listing property.

  - `Records.ListingFeatures.ElementarySchool` (string)
    Name of the Elementary School(s) available for the subject listing property.

  - `Records.ListingFeatures.HighSchool` (string)
    Name of the High School(s) available for the subject listing property.

  - `Records.ListingFeatures.LotFeatures` (string)
    Description of the features of the lot for the subject listing property (eg: Regular Lot, Premium Lot, Sloped Lot, etc.) May contain multiple values per subject listing property.

  - `Records.ListingFeatures.MiddleSchool` (string)
    Name of the Middle School(s) available for the subject listing property.

  - `Records.ListingFeatures.SchoolDistrict` (string)
    Name of the school district for the subject listing property.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.

